<template>
  <div :class="{'featured-product-container': true, ltr}" :style="productStyle">
    <div :class="{bg: true, ltr}"></div>
    <ScrollSpy @trigger="show" :offset="700">
      <div class="product" :style="productStyle">
        <img :src="product.thumbnail" alt="artisho" class="thumbnail">
        <h2 class="title">{{ product.title }}</h2>
        <div class="actions">
          <nuxt-link :to="`/shop/product/${product.id}`">
            <Button type="contained">مشاهده</Button>
          </nuxt-link>
          <nuxt-link to="/shop">
            <Button type="outlined">فروشگاه</Button>
          </nuxt-link>
        </div>
      </div>
    </ScrollSpy>
  </div>
</template>

<script>
import Button from "@/components/base/Button";
import ScrollSpy from "@/components/base/ScrollSpy";

export default {
  name: "FeaturedProduct",
  components: {
    Button,
    ScrollSpy
  },
  props: {
    product: {
      type: Object,
      required: true
    },
    ltr: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      position: this.ltr ? -120 : 120 
    }
  },
  methods: {
    show() {
      this.position = 0;
    }
  },
  computed: {
    productStyle() {
      return {
        transform: `translateX(${this.position}%)`
      }
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.featured-product-container
  color $white
  position relative
  padding 0 7.5rem 0 0
  transition all .6s ease-out
  @media only screen and (max-width 1100px)
    padding 0 1rem 0 0
  @media only screen and (max-width 1000px)
    padding 0
    @media only screen and (max-width 370px)
      right -2rem
  &.ltr
    padding 0 0 0 2.5rem
    @media only screen and (max-width 1100px)
      padding 0
    @media only screen and (max-width 370px)
      right 2rem

.thumbnail
  width 16rem
  height auto

.product 
  display flex
  flex-direction column
  align-items center
  position relative
  z-index 2
  transition all 1s ease-out

.title
  text-align center
  margin-top $sm
  font-size 3.5rem
  font-weight 400

.bg
  position absolute
  top 8%
  left 3.5rem
  z-index 1
  width 120%
  height 43%
  background-color $primary
  box-shadow 0 1rem 2rem rgba(black, .3)
  &.ltr
    left auto 
    right 3.5rem

.actions
  margin-top $md
  display flex
  & > *:not(:last-child)
    margin-right $md
</style>